Notify API reference

Notify API · Notifications

get/v1/workspaces/{workspace_id}/notificationsAuth

List notifications (message log)

Newest first. Filter by `type`, `tag` (`key:value` or `key`), `tenant` or `cancellation_key`. Pass `next_cursor` as `cursor` until `has_more` is false.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

typestring

Only this notification type key.

tagstring

Only notifications with this tag: `key:value`, or `key` for any value.

tenantstring

Only this tenant.

cancellation_keystring

Only notifications sent with this cancellation key.

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of notifications.

data*array

Notifications, newest first.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notifications
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "string",
      "status": {},
      "recipient_count": 0,
      "skipped_count": 0,
      "channels": [
        "inbox"
      ],
      "tenant": "string",
      "tags": {},
      "actor": {},
      "exclude_actor": false,
      "cancellation_key": "string",
      "idempotency_key": "string",
      "caller": "string",
      "send_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "planned_at": "2026-01-01T00:00:00.000Z",
      "cancelled_at": "2026-01-01T00:00:00.000Z",
      "retracted_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "data": {},
      "counts": [
        {
          "channel": {},
          "states": {
            "delivered": 2,
            "skipped": 1
          }
        }
      ]
    }
  ],
  "pagination": {}
}